> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/es/automatizacion/runbooks/runbook-references/device/general/rename-device.md).

# Renombrar dispositivo

Renombra este dispositivo en Intune y Autopilot

### Descripción

Le da a este dispositivo un nuevo nombre en Intune y en su registro de Windows Autopilot. Antes de realizar cualquier cambio, el nombre se comprueba según las reglas de nombre de equipo de Windows. Puede tener hasta 15 letras, dígitos y guiones, debe comenzar y terminar con una letra o un dígito, y no puede contener solo dígitos.

### Ubicación

Dispositivo → General → Cambiar nombre del dispositivo

**Nombre completo del runbook**

rjgit-device\_general\_rename-device

### Detalles

| Propiedad          | Valor                               |
| ------------------ | ----------------------------------- |
| Versión            | 1.0.2                               |
| Módulos requeridos | RealmJoin.RunbookHelper (>= 0.8.10) |
| Programable        | no                                  |

### Permisos

#### Permisos de aplicación

* **Tipo**: Microsoft Graph
  * Device.Read.All
    * *Resuelve el objeto de dispositivo de Entra a través de /devices antes de cambiarle el nombre*
  * DeviceManagementManagedDevices.Read.All
    * *Encuentra el dispositivo de Intune por azureADDeviceId para obtener su id de objeto de Intune*
  * DeviceManagementServiceConfig.ReadWrite.All
    * *Lee la identidad de Autopilot y le cambia el nombre mediante updateDeviceProperties*
  * DeviceManagementManagedDevices.PrivilegedOperations.All
    * *Desencadena la acción privilegiada setDeviceName en el dispositivo de Intune*

### Parámetros

#### DeviceId

ID de dispositivo de Entra ID del dispositivo sobre el que actúa el runbook. Lo establece el portal a partir del dispositivo seleccionado.

| Propiedad            | Valor                                                       |
| -------------------- | ----------------------------------------------------------- |
| Requerido            | verdadero                                                   |
| Valor predeterminado |                                                             |
| Tipo                 | Cadena                                                      |
| Oculto en el portal  | sí (preconfigurado mediante la personalización del runbook) |

#### NewDeviceName

Hasta 15 letras, dígitos y guiones, que comience y termine con una letra o un dígito, no solo dígitos.

| Propiedad                      | Valor                        |
| ------------------------------ | ---------------------------- |
| Requerido                      | verdadero                    |
| Valor predeterminado           |                              |
| Tipo                           | Cadena                       |
| Nombre para mostrar del portal | Nuevo nombre del dispositivo |

[Volver a la vista general de referencia del runbook](/es/automatizacion/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/es/automatizacion/runbooks/runbook-references/device/general/rename-device.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
